# nn_get_statistic(3compat) Manual Page

## NAME

nn_get_statistic - get statistic (stub)

## SYNOPSIS

    #include <nanomsg/nn.h>

    uint64_t nn_get_statistic(int sock, int stat);

## DESCRIPTION

The `nn_get_statistic()` function exists only as a stub, and always returns zero.

| This function is provided for API compatibility with legacy libnanomsg. Consider using the relevant modern API instead.

## RETURN VALUES

Zero.

## ERRORS

None.

## SEE ALSO

nng_compat(3compat), nng(7)